
package org.sky.scientific.service;

import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.*;
import org.sky.scientific.pojo.vo.*;

import java.util.List;

/**
 * 企业基础信息表 服务类
 *
 * @author Kd
 * @since 2025-08-14
 */
public interface IEnterpriseInfoService extends BaseService<EnterpriseInfoEntity> {

	/**
	 * 获取上一年度数据
	 *
	 * @param enterpriseInfo
	 * @return
	 */
	Boolean fetchLastYearData(EnterpriseInfoEntity enterpriseInfo);

	/**
	 * 新增或修改
	 *
	 * @param enterpriseInfo
	 * @return
	 */
	boolean submit(EnterpriseInfoEntity enterpriseInfo);

	/**
	 * 107-1 企业研究开发项目情况 编辑
	 * @param year
	 * @return
	 */
	List<A107_1VO> qyyjkfxmqk(String year);

	/**
	 *
	 * @param a1071
	 * @return
	 */
	Boolean qyyjkfxmqkUpdate(A107_1 a1071);

	/**
	 * 107-2-企业研究开发活动及相关情况
	 * @param year
	 * @return
	 */
	A107_2VO qyyjkfhdjxgfy(String year);

	/**
	 * 107-2-企业研究开发活动及相关情况-编辑
	 * @param a1072
	 * @return
	 */
	boolean qyyjkfhdjxgfyUpdate(A107_2 a1072);

	/**
	 * A107012研发费用加计扣除优惠明细表
	 * @param year
	 * @return
	 */
	A107012VO yffyjjkcyhmxb(String year);

	/**
	 * A107012研发费用加计扣除优惠明细表-填写
	 * @param a107012
	 * @return
	 */
	boolean yffyjjkcyhmxbUpdate(A107012 a107012);

	/**
	 * A107041高新技术企业优惠情况及明细表
	 * @param year
	 * @return
	 */
	A107041VO gxjsqyyhqkjmxb(String year);

	/**
	 * A107041高新技术企业优惠情况及明细表-填写
	 * @param a107041
	 * @return
	 */
	boolean gxjsqyyhqkjmxbUpdate(A107041 a107041);

	/**
	 * 高企年报
	 * @param year
	 * @return
	 */
	HighTechYBVO gqnb(String year);

	/**
	 * 高企年报-填写
	 * @param highTechYB
	 * @return
	 */
	boolean gqnbUpdate(HighTechYB highTechYB);

	/**
	 * 科研档案-附件资料补充
	 * @param year
	 * @return
	 */
	ArchiveAttachEntity fjbczl(String year);

	/**
	 * 科研档案-附件资料补充-修改
	 * @param attach
	 * @return
	 */
	boolean fjbczlUpdate(ArchiveAttachEntity attach);
}
